Subject: Re: [PATCH 14/23] hash.h, repository.h: reverse the order of these dependencies

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Apr 2023 08:54:38 -0700

Derrick Stolee <[email-masked]> writes:

> This is mostly because most consumers in the Git codebase will want
> these methods, and only the most fundamental hashing code will care
> about hashing separate from the_hash_algo. So, the most-natural name
> for "the header file that lets me hash stuff" would be "hash.h" and
> "hash-basics.h" is for "I'm doing very simple, low-level hashing".

I do agree with the reasoning for "most people want 'hash.h'"; what
is called the "basics" sounds more like for advanced users of the
low-level machinery, but somehow I expect "basic" would the one to
be used in sample programs in tutorials or something.  "ll-hash.h"
for low-level hash features?  I dunno.

But whatever the name for the header file meant to be used by
"advanced callers to low-level machinery" would be, I like your
choice of the latter variant between the ones Elijah presented.

Thanks.